RapidIdentity Product Guide

Internet Browser Requirements

RapidIdentity supports the current versions of the following Internet Browsers whose smallest width is 768px:

  • Chrome

  • Firefox

  • Safari

  • Internet Explorer 11

  • Edge

The RapidIdentity browser plugin also works best with the current version of supported Internet browser.

Linux users should browse with Chrome or Firefox.

Apple no longer supports Safari for Windows, thus Windows users should select the most recent version of one of the other supported browsers since Safari is only supported on macOS.

Windows

  • 2.33GHz or faster x86-compatible processor, or Intel® Atom™ 1.6GHz or faster processor for netbooks

  • Microsoft® Windows® XP (32 bit), Windows Server 2008 (32 bit), Windows Vista® (32 bit), Windows 7 (32 bit and 64 bit), Windows 8 (32 bit and 64 bit), Windows Server 2012 (64 bit), or Windows 10 (32 bit and 64 bit)

  • 512MB of RAM (1GB of RAM recommended for netbooks); 128MB of graphics memory

macOS

  • Intel Core™ Duo 1.83GHz or faster processor

  • Mac OS X v10.6 or later

  • 512MB of RAM; 128MB of graphics memory

Linux

  • 2.33GHz or faster x86-compatible processor, or Intel Atom 1.6GHz or faster processor for netbooks

  • Red Hat® Enterprise Linux® (RHEL) 5.6 or later (32 bit and 64 bit), openSUSE® 11.3 or later (32 bit and 64 bit), or

  • Ubuntu 10.04 or later (32 bit and 64 bit)

  • 512MB of RAM; 128MB of graphics memory

Android

  • ARMv7 processor with vector FPU, minimum 550MHz, OpenGL ES 2.0, H.264 and AAC HW decoders

  • Android™ 2.2-4.0+

  • 256MB of RAM

  • Android web browser

Mobile/Other

  • RapidIdentity Portal supports an HTML5-based UI for the RapidIdentity Portal Applications and Profiles modules. Users can access their My Applications and My Profiles tabs and perform self-service actions.

  • Supported platforms/devices are listed at jQuery Mobile 1.4 Supported Platforms.